package cn.iocoder.yudao.module.member.service.customizeExcel;

import cn.iocoder.yudao.module.member.controller.admin.customizeExcel.vo.*;
import cn.iocoder.yudao.module.member.dal.mysql.customizeExcel.CustomizeExcelMapper;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;
@Service
public class CustomizeExcelServiceImpl implements CustomizeExcelService {

    @Resource
    private CustomizeExcelMapper customizeExcelMapper;


    @Override
    public List<OrderExcelVO> exportOrderExcel(String startTime, String endTime,Long carteenId) {
        return customizeExcelMapper.selectOrder(startTime,endTime,carteenId);
    }

    @Override
    public List<StoreOrderExcelVO> exportStoreOrderExcel(String startTime, String endTime, Long carteenId) {
        return customizeExcelMapper.selectStoreOrder(startTime,endTime,carteenId);
    }

    @Override
    public List<StoreSaleGoodsVO> exportStoreSaleGoodsExcel(String startTime, String endTime, Long carteenId) {
        return customizeExcelMapper.selectStoreSaleGoods(startTime,endTime,carteenId);
    }

    @Override
    public List<GroupOrderVO> exportGroupOrderExcel(String startTime, String endTime, Long carteenId, Long groupId) {
        return customizeExcelMapper.exportGroupOrderExcel(startTime,endTime,carteenId,groupId);
    }

    @Override
    public List<GroupStoreOrderVO> exportGroupStoreOrderExcel(String startTime, String endTime, Long carteenId, Long groupId) {
        return customizeExcelMapper.exportGroupStoreOrderExcel(startTime,endTime,carteenId,groupId);
    }

    @Override
    public List<SubsidyExcelVO> exportSubsidyExcel(String startTime, String endTime, Long carteenId) {
        return customizeExcelMapper.exportSubsidyExcel(startTime,endTime,carteenId);
    }

    @Override
    public List<CashAmountExcelVO> exportCashAmountExcel(String startTime, String endTime, Long carteenId) {
        return customizeExcelMapper.exportCashAmountExcel(startTime,endTime,carteenId);
    }

    @Override
    public List<ActivityMxVO> exportActivityMx() {
        return customizeExcelMapper.exportActivityMx();
    }

    @Override
    public List<ActivityReserveVO> exportActivityReserve() {
        return customizeExcelMapper.exportActivityReserve();
    }

    @Override
    public List<OverspendingVO> exportOverspending(String startTime, String endTime, Long groupId) {
        return customizeExcelMapper.exportOverspending(startTime,endTime,groupId);
    }
}
